SQ(1)

NAME
sq toolbox dearmor - Convert ASCII to binary

SYNOPSIS
sq toolbox dearmor [OPTIONS] FILE

DESCRIPTION
Convert ASCII to binary.

To make encrypted data easier to handle and transport, OpenPGP data can be transformed to an ASCII representation called ASCII Armor. sq transparently handles armored data, but this subcommand can be used to explicitly convert existing ASCII-encoded OpenPGP data to its binary representation.

The converse operation is `sq toolbox armor`.

OPTIONS

  Subcommand options

--output=FILE
    Write to FILE or stdout if omitted

    [default: -]

FILE
    Read from FILE or stdin if FILE is '-'

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Convert a ASCII certificate to binary

    sq toolbox dearmor ascii-juliet.pgp

Convert a ASCII message to binary

    sq toolbox dearmor ascii-message.pgp

SEE ALSO
sq(1), sq-toolbox(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.38.0 (sequoia-openpgp 1.21.2)